<?php
// Zpracování a uložení nastavení
add_action('admin_init', 'clonet_sticky_ads_settings');
function clonet_sticky_ads_settings() {
    register_setting('clonet-sticky-ads-group', 'clonet_header_code');
    register_setting('clonet-sticky-ads-group', 'clonet_mobile_code');
    register_setting('clonet-sticky-ads-group', 'clonet_desktop_code');
}

// Výpis stránky s nastavením
function clonet_sticky_ads_menu() {
    add_options_page('Clonet Sticky Ads', 'Clonet Sticky Ads', 'manage_options', 'clonet-sticky-ads', 'clonet_sticky_ads_options');
}

function clonet_sticky_ads_options() {
    ?>
    <div class="wrap">
        <h1>Clonet Sticky Ads</h1>
        <form method="post" action="options.php">
            <?php settings_fields('clonet-sticky-ads-group'); ?>
            <p>Vložte reklamní kódy, které se mají zobrazovat jako vyjížděcí přilepená reklama v pravém spodním rohu každé stránky</p>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">Kód pro hlavičku <small>Do sekce HEAD</small></th>
                    <td><textarea name="clonet_header_code" rows="5" cols="50"><?php echo esc_attr(get_option('clonet_header_code')); ?></textarea></td>
                </tr>
                <tr valign="top">
                    <th scope="row">Reklamní kód pro mobilní zařízení</th>
                    <td><textarea name="clonet_mobile_code" rows="5" cols="50"><?php echo esc_attr(get_option('clonet_mobile_code')); ?></textarea></td>
                </tr>
                <tr valign="top">
                    <th scope="row">Reklamní kód pro desktop zařízení</th>
                    <td><textarea name="clonet_desktop_code" rows="5" cols="50"><?php echo esc_attr(get_option('clonet_desktop_code')); ?></textarea></td>
                </tr>
            </table>
            <?php submit_button(); ?>
        </form>
    </div>
    <?php
}
function clonet_sticky_ads_header_code() {
    $headerCode = get_option('clonet_header_code');
    if (!empty($headerCode)) {
        echo $headerCode;
    }
}
