<?php
/*
Plugin Name: Clonet Sticky Ads
Plugin URI: https://www.clonet.cz/plugin-clonet-sticky-ads-zajistete-viditelnost-vasich-reklam-na-wordpress-strankach/
Description: Plugin pro zobrazování připevněné reklamy s možností zavření.
Version: 1.12
Author: Jan Ondruch
Author URI: https://www.clonet.cz
*/

// Načtení souborů s funkcemi
require_once plugin_dir_path(__FILE__) . 'clonet-sticky-ads-settings.php';
require_once plugin_dir_path(__FILE__) . 'clonet-sticky-ads-display.php';

// Registrace nastavení a přidání stránky s nastavením do administrace WP
add_action('admin_menu', 'clonet_sticky_ads_menu');

// Přidání kódu pro hlavičku do <head>
add_action('wp_head', 'clonet_sticky_ads_header_code');


// Výpis reklamy na front-endu
add_action('wp_footer', 'clonet_sticky_ads_display');
