<?php
// Výpis reklamy na front-endu
function clonet_sticky_ads_display() {
    $mobileCode = get_option('clonet_mobile_code');
    $desktopCode = get_option('clonet_desktop_code');

    // Detekce mobilního zařízení
    $isMobile = wp_is_mobile();

    // Výpis reklamního kódu podle zařízení
    if ($isMobile && !empty($mobileCode)) {
        clonet_sticky_ads_render($mobileCode);
    } elseif (!$isMobile && !empty($desktopCode)) {
        clonet_sticky_ads_render($desktopCode);
    }
}

/* Funkce pro vložení kódu do hlavičky
function clonet_sticky_ads_header_code() {
    $headerCode = get_option('clonet_header_code');
    echo $headerCode;
}
*/
// Funkce pro vykreslení reklamy
function clonet_sticky_ads_render($code) {
    wp_enqueue_style('clonet-sticky-ads-styles', plugin_dir_url(__FILE__) . 'css/clonet-sticky-ads.css');
    wp_enqueue_script('clonet-sticky-ads-scripts', plugin_dir_url(__FILE__) . 'js/clonet-sticky-ads.js', array(), '1.0', true);
    ?>
    <div id="clonet-ads">
        <div id="close-btn">Zavřít reklamu</div>
        <div id="ad-content"><?php echo $code; ?></div>
    </div>
    <?php
}
